package com.hotent.base.vo;

import java.time.LocalDateTime;

/**
 * @Author: Cola
 * @Date: 2021/09/02/14:45
 * @Description: 流程业务关于外部系统的基本信息
 **/
public class ExternalMsgDto {
    private String actionName; // 流程动作类型
    private String nodeId; // 触发节点
    private String sysCode; // 系统编码
    private String flowKey; // 流程的key
    private String userId; // 触发用户id;
    private LocalDateTime sendTime; // 发送时间
    private String title; // 消息标题
    private String content; // 消息内容
    private String status; // 消息状态： 0失败，1成功

    public String getActionName() {
        return actionName;
    }

    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    public String getTaskId() {
        return nodeId;
    }

    public void setTaskId(String taskId) {
        this.nodeId = taskId;
    }

    public String getSysCode() {
        return sysCode;
    }

    public void setSysCode(String sysCode) {
        this.sysCode = sysCode;
    }

    public String getFlowKey() {
        return flowKey;
    }

    public void setFlowKey(String flowKey) {
        this.flowKey = flowKey;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public LocalDateTime getSendTime() {
        return sendTime;
    }

    public void setSendTime(LocalDateTime sendTime) {
        this.sendTime = sendTime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
